org.apache.hadoop.mapred.nativetask.buffer

## Class DataInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.hadoop.mapred.nativetask.buffer.DataInputStream

- All Implemented Interfaces:
    Closeable, DataInput, AutoCloseable
  Direct Known Subclasses:
    ByteBufferDataReader

      @InterfaceAudience.Private
      public abstract class DataInputStream
      extends InputStream
      implements DataInput

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataInputStream()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `hasUnReadData()`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, read, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataInput

      `readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

- - ### Constructor Detail

    - #### DataInputStream

          public DataInputStream()

  - ### Method Detail

    - #### hasUnReadData

          public abstract boolean hasUnReadData()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.